Name:		sshtrix
Version:	0.0.2
Release:	%mkrel 2
Summary:	A very fast multithreaded SSH login cracker
Group:		Networking/Other
License:	GPLv3+
Url:		http://www.nullsecurity.net/cracker.html
Source0:	http://www.nullsecurity.net/tools/cracker/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(libssh)

%description
sshtrix is a very fast multithreaded SSH login cracker. It supports
SSHv1 and SSHv2. sshtrix was designed to automate rapid bruteforce 
attacks against SSH authentification screens. Unlike other public 
tools, the aim is to keep it simple, stable, fast and modular. With 
its clean code design, it is easy to extend the code to a framework 
or to fork it against protocols of your choice.
 
%prep
%setup -q

%build
%make %{name}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
install -D -m 0755 %{name} %{buildroot}/%{_bindir}/

#install man page
install -d %{buildroot}/%{_mandir}/man1/
install -m 644 doc/%{name}.1 %buildroot%{_mandir}/man1/
 
 
%files
%defattr(-,root,root,-)
%doc doc/AUTHORS doc/CHANGELOG doc/README doc/TESTED doc/THANKS doc/TODO
%{_bindir}/%{name}
%{_mandir}/man*/*
 


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.0.2-2.mga3
+ Revision: 382648
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 19 2012 juancho <juancho> 0.0.2-1.mga3
+ Revision: 296073
- imported package sshtrix

